Bug 3389 - No notification of duplicate IP
No notification of duplicate IP
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-06-10 11:21 EDT by jmuller
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-07-29 16:56:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jmuller 1999-06-10 11:21:33 EDT
Yesterday someone setup a Red Hat 6.0 box on our network
and unfortunately assigned the same IP as our Red Hat 5.2
server.  Needless to say both interfaces completely shut
down, without out logging any errors or any notification.
After much frustration we finally figured out what
happened.  If Windows 95 can tell you there is a duplicate
IP out there I think Linux should as well.
Comment 1 Jeff Johnson 1999-06-10 11:39:59 EDT
I'm changing the component to kernel because that's where
unices usually detect this problem.
Comment 2 Jeff Johnson 1999-06-10 11:42:59 EDT
You might also consider running arpwatch on a 3rd machine and
monitoring the output. Arpwatch mails a message to root
every time a new IP/MAC pair is detected. That might be
sufficient for you to detect duplicated IP addr's but would
require a 3rd machine and some sys admin work ...
Comment 3 Alan Cox 1999-06-12 09:07:59 EDT
Be very careful how you handle this. The Windows 95 "feature" is used
regularly as a denial of service attack on windows networks by
slamming the lan with faked addresses. It is possible to put it in the
kernel but non trivial to do it right.

If we need a patch for it I can knock one up
Comment 4 Michael K. Johnson 1999-07-29 16:56:59 EDT
Resolved as "WONTFIX" because we aren't likely to fix this in
the near future; there are no plans to fix it for the next
release or next beta release or anything like that.

Note You need to log in before you can comment on or make changes to this bug.